<template>
  <div id="app">
    <h1>Hello App!</h1>
    <p>
      <!-- use router-link component for navigation. -->
      <!-- specify the link by passing the `to` prop. -->
      <!-- `<router-link>` will be rendered as an `<a>` tag by default -->
      <router-link to="/user/Trung/post/4?vari1=5&vari2=6">
        <span style="padding: 10px; border: 2px solid black; margin-right: 10px; border-radius: 30px; color: black;">Go to Foo</span>
      </router-link>
      <router-link to="/user/Tuong/post/5">
        <span style="padding: 10px; border: 2px solid black; margin-right: 10px; border-radius: 30px; color: black;">Go to bar</span>
      </router-link>
      <router-link to="/user-ABC">
        <span style="padding: 10px; border: 2px solid black; margin-right: 10px; border-radius: 30px; color: black;">Go to User ABC</span>
      </router-link>
      <router-link to="/user-DEFABC">
        <span style="padding: 10px; border: 2px solid black; margin-right: 10px; border-radius: 30px; color: black;">Go to UserDEFABC*</span>
      </router-link>

      <router-link to="/qq">
        <span style="padding: 10px; border: 2px solid black; margin-right: 10px; border-radius: 30px; color: black;">Go to Page Not Found*</span>
      </router-link> |||||
      <router-link to="/demo-new-route/Jackson">
        <span style="padding: 10px; border: 2px solid black; margin-right: 10px; border-radius: 30px; color: black;">Jackson</span>
      </router-link>
      <router-link to="/demo-new-route/Napoleon">
        <span style="padding: 10px; border: 2px solid black; margin-right: 10px; border-radius: 30px; color: black;">Napoleon</span>
      </router-link>
    </p>
    <!-- route outlet -->
    <!-- component matched by the route will render here -->
    <hr/>
    <router-view></router-view>
  </div>
</template>



<script>
// import HelloWorld from "./components/HelloWorld.vue";


export default {
  name: "App",
  computed: {
    username() {
      // We will see what `params` is shortly
      return this.$route.params.username
    }
  },
  components: {
    // HelloWorld,
  },
  methods: {
    goBack() {
      window.history.length > 1 ? this.$router.go(-1) : this.$router.push('/')
    }
  }
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
